#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

using ll = long long;

vector<int> solve(vector<int> a) {
    vector<pair<int, int>> x;
    for(int i = 0; i < (int)a.size(); i++) {
        x.push_back({a[i], i});
    }
    sort(x.begin(), x.end());
    vector<int> ans;
    for(auto [fst, scn] : x) ans.push_back(scn);
    return ans;

}
